Get DNS Zone
curl --request GET \
--url https://api.bunny.net/dnszone/{id} \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/dnszone/{id}"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/dnszone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Domain": "<string>",
"Records": [
{
"Id": 123,
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Port": 123,
"Flags": 123,
"Tag": "<string>",
"Accelerated": true,
"AcceleratedPullZoneId": 123,
"LinkName": "<string>",
"IPGeoLocationInfo": {
"CountryCode": "<string>",
"Country": "<string>",
"ASN": 123,
"OrganizationName": "<string>",
"City": "<string>"
},
"GeolocationInfo": {
"Country": "<string>",
"City": "<string>",
"Latitude": 123,
"Longitude": 123
},
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"LatencyZone": "<string>",
"Disabled": true,
"Comment": "<string>",
"AutoSslIssuance": true
}
],
"DateModified": "2023-11-07T05:31:56Z",
"DateCreated": "2023-11-07T05:31:56Z",
"NameserversDetected": true,
"CustomNameserversEnabled": true,
"Nameserver1": "<string>",
"Nameserver2": "<string>",
"SoaEmail": "<string>",
"NameserversNextCheck": "2023-11-07T05:31:56Z",
"LoggingEnabled": true,
"LoggingIPAnonymizationEnabled": true,
"DnsSecEnabled": true
}DNS Zone
Get DNS Zone
GET
/
dnszone
/
{id}
Get DNS Zone
Authorizations
API Access Key authorization header
Path Parameters
The ID of the DNS Zone that will be returned
Response
The DNS Zone with the requested ID
Show child attributes
Show child attributes
Determines if the TLS 1 is enabled on the DNS Zone
Sets the log anonymization type for this zone
Available options:
0, 1 Determines if DNSSEC is enabled for this DNS Zone
The private key type to use for automatic certificates
Available options:
0, 1 Last modified on June 26, 2026
Was this page helpful?
⌘I